/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.fixings;

import java.util.Date;

public class QWD extends QWI {

    private static final long serialVersionUID = 1L;

    protected double deltaW;

    private boolean isOutlier;

    public QWD() {
    }

    public QWD(final double q, final double w, final boolean isOutlier) {
        super(q, w);

        this.isOutlier = isOutlier;
    }

    public QWD(final double q, final double w, final String description, final Date date, final boolean interpolated, final double deltaW, final int index,
            final boolean isOutlier) {
        super(q, w, description, date, interpolated, index);

        this.deltaW = deltaW;
        this.isOutlier = isOutlier;
    }

    public double getDeltaW() {
        return this.deltaW;
    }

    public void setDeltaW(final double deltaW) {
        this.deltaW = deltaW;
    }

    public boolean isOutlier() {
        return this.isOutlier;
    }

    public void setOutlier(final boolean isOutlier) {
        this.isOutlier = isOutlier;
    }
}